Page MenuHomeFreeBSD

Update graphics/exiv2 to 0.26
ClosedPublic

Authored by tcberner on Sep 12 2017, 8:29 PM.

Details

Reviewers
kwm
Group Reviewers
multimedia
Commits
rP468519: Update grahics/exiv2 to 0.26
Summary
  • New digikam-5.7.0 requires 0.26 ( see D10169 )
Test Plan
  • Bump-revisions of children, then exp-run.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tcberner created this revision.Sep 12 2017, 8:29 PM
mat added inline comments.Sep 13 2017, 8:37 AM
graphics/exiv2/Makefile
5 ↗(On Diff #32989)

Use DISTVERSION.

tcberner updated this revision to Diff 33008.Sep 13 2017, 8:41 AM

Use DISTVERSION

Or did you mean even setting it to DISTVERSION=0.26-trunk ?

mat added a comment.Sep 13 2017, 1:57 PM

Or did you mean even setting it to DISTVERSION=0.26-trunk ?

Mmm, no, my comment was on the PORTVERSION line only.

tcberner updated this revision to Diff 33020.EditedSep 13 2017, 3:05 PM

Bump revisions.

There were build failures for

  • graphics/rawstudio [failed previouosly]
  • textproc/libextractor needs a fix...
  • graphics/gegl [failed previously]
mat added inline comments.Sep 13 2017, 9:17 PM
graphics/exiv2/Makefile
6 ↗(On Diff #33021)

There may be a tab missing after the = here, but maybe phabricator ate it.

tcberner updated this revision to Diff 35150.Nov 12 2017, 10:15 AM

Regenerate against current ports tree.

Regenerate against current ports tree.

exp-run was fine:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=223625#c1

ping multimedia

tcberner updated this revision to Diff 38218.Jan 19 2018, 9:03 PM

Update against current tree.

tcberner updated this revision to Diff 38219.Jan 19 2018, 9:05 PM

Fix revision bump in graphics/gegl3.

tcberner updated this revision to Diff 38220.Jan 19 2018, 9:17 PM

Remove the static libxmp library.

This revision was not accepted when it landed; it landed in state Needs Review.Apr 28 2018, 6:15 AM
Closed by commit rP468519: Update grahics/exiv2 to 0.26 (authored by tcberner, committed by ). · Explain Why
This revision was automatically updated to reflect the committed changes.